/**
 * RoleClassAdministerableMaterial.java
 *
 * File generated from the medication::RoleClassAdministerableMaterial uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassAdministerableMaterial.
 *
 */

@XmlType(name = "RoleClassAdministerableMaterial")
@XmlEnum
@XmlRootElement(name = "RoleClassAdministerableMaterial")
public enum RoleClassAdministerableMaterial {
	@XmlEnumValue("ADMM")
	ADMM("ADMM");
	
	private final String value;

    RoleClassAdministerableMaterial(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static RoleClassAdministerableMaterial fromValue(String v) {
        for (RoleClassAdministerableMaterial c: RoleClassAdministerableMaterial.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}